#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kio-admin
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Manage files as administrator using the admin:// KIO protocol
Group:          Graphical desktop/KDE
License:        (GPL-2.0-only or GPL-3.0-only) and BSD-3-Clause and CC0-1.0 and FSFAP
URL:            https://invent.kde.org/system/kio-admin
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-rpm-macros
BuildRequires:  zstd

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)

BuildRequires:  cmake(PolkitQt5-1)

%description
kio-admin implements a new protocol "admin:///"
which gives administrative access
to the entire system. This is achieved by talking,
over dbus, with a root-level
helper binary that in turn uses
existing KIO infrastructure to run file://
operations in root-scope.


%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_kf5_plugindir}/kfileitemaction/kio-admin.so
%{_kf5_plugindir}/kio/admin.so
%{_kf5_libexecdir}/kio-admin-helper
%{_kf5_datadir}/dbus-1/system.d/org.kde.kio.admin.conf
%{_kf5_datadir}/dbus-1/system-services/org.kde.kio.admin.service
%{_kf5_datadir}/polkit-1/actions/org.kde.kio.admin.policy
%{_kf5_metainfodir}/org.kde.kio.admin.metainfo.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang kio5_admin %{name}.lang


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047401
- New version 23.04.3

* Tue May 30 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959912
- initial package kio-admin

